HPTKILL(1)

NAME
hptkill - Areas killing utility

SYNOPSYS

hptkill
    [ -c config ] [ -1 ] [ -n ] [ -a ] [ -d ] [ -s ]
    [ -f file ] [ -k ] [ -p ] [ -pp ] [ -y ] [ -yp ]
    [ -o days ] [ -O days ] [ -l file ] [ -C ]
    [areaNameMask ...]

DESCRIPTION
hptkill is utility for killing echoareas from config and send unsubscribe message to all links for this area. Also it can search and kill passthrough areas with one link.

OPTIONS

-c config
    specify alternate config file

-1  send unsubscribe message to first link only

-n  don't send unsubscribe message

-a  send unsubscribe message all subscribed links

-d  delete area from config

-s  save (don't erase) message & dupe bases

-f file
    read areas list from file in addition to args

-f -
    read areas list from stdin in addition to args

-k  set Kill/Sent attribute to messages for links

-p  find & kill passthrough echoareas with <=1 links

-pp same as -p including paused links

-y  find & kill ANY echoareas with <=1 links

-yp same as -y including paused links

-o days
    kill passthrough area with dupebase older 'days' days

-O days
    same as -o but kill areas without dupebases

-l file
    with -o/-O write to file list of areas without dupebase

-C  create empty dupebase if it doesn't exist

DEFAULT SETTINGS:
send unsubscribe message to subcribed nodes only
leave config unchanged
erase message & dupe bases

ENVIROMENT
FIDOCONFIG

path/filename of the husky configuration file

AUTHOR
Serguei Revtov 2:5021/11.10 or/and 2:5021/19.1
This manual page was written by Pavel Andreew <pavel@collage.etel.ru> for the Debian GNU/Linux system (but may be used by others).